WordPress.org

Ready to get started?Download WordPress

Forums

Store Locator Plus
[resolved] Error upgrade 3.7.8 to 3.8 (6 posts)

  1. antwal
    Member
    Posted 1 year ago #

    Hello, i have upgrade the plugin but i receive this error:

    Fatal error: Call-time pass-by-reference has been removed in /.../wp-content/plugins/store-locator-le/include/storelocatorplus-actions_class.php on line 223

    I can't reactivate the plugin and have a section of my website offline, how can resolve?

    thanks.

    http://wordpress.org/extend/plugins/store-locator-le/

  2. mhirschberg
    Member
    Posted 1 year ago #

    I also encountered errors after upgrading. I couldnt access the Map Settings in wp admin, and the locations didnt show on the frontpage, among other things. I uninstalled the plugin and reinstalled version 3.7.8. the locations were not deleted in the process. hopefully 3.8 install will be fixed. it looked nice.

  3. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    @antwal - 3.8.1 will fix that. That is a PHP warning you should never see unless you have full debug mode enabled on the server. Regardless, I've patched that.

    @mhirschberg - No idea why that would go away but there are a lot of behind-the-scenes changes to the menu tabs and how pages are built. It is the only way to allow new add-ons to be hooked into the base plugin properly. Maybe the 3.8.1 patch will fix that as there is something odd going on especially with MU installs. Try 3.8.1 and let me know what happens.

    BTW, 3.8+ will be required for Enhanced Results / Enhanced Search / Tagalong versions coming out. Enhanced Results, for example, will let people easily change the under-the-map search results with a LOT more control than before. Without 3.8+ a lot of extended add-on features will not be available. A lot of "invisible" changes in 3.8 that make some extra "add-on magic" possible.

  4. mhirschberg
    Member
    Posted 1 year ago #

    thanks for the info! ill try updating again.

    UPDATE: I installed 3.8.1 without addons and it works fine.
    However, when I install tagalong and/or enhanced search it breaks.
    With enhanced search2/tagalong1 no locations are shown on map. with search2 you cant even access map setting in wp admin. atleast on my site :/

  5. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    Tagalong v0.2 was just published. Try that first.

    Enhanced Search has an issue with WordPress 3.5 + SLP 3.8 that I'm still trying to isolate. I'd like to publish the Enhanced Search update but cannot get a clear error message to track down the problem. I'm in a lengthy comment, trace, & test routine trying to track that issue down.

    Hopefully I'll have Enhanced Search updated soon, with any luck before the 2-day trek back to Charleston begins.

  6. antwal
    Member
    Posted 1 year ago #

    ok thx, now working

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.